﻿.product-item {
    padding: 1.25rem 1.75rem;
    width: 23vw;
    min-width: 400px;
    border: 1px solid #ccc;
    border-radius: 20px;
    text-align: left;
    box-shadow: 1px 3px 4px rgba(0,0,0,0.5);
    transition: .25s ease-out;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.package-item{
    border-top: 6px solid var(--highlight);
}

.highlighted-item {
    border: 2px solid var(--highlight);
    border-top-width: 8px;
}

    .product-item:hover {
        transform: translateY(-4px);
        box-shadow: 1px 6px 4px rgba(0,0,0,0.4);
    }

    .product-item > p {
        margin-bottom: .5rem;
    }

    .product-item .metadata {
        font-family: "JetBrainsMono", Consolas, monospace;
        color: var(--text-light);
        font-size: .9rem;
    }

    .product-item .code {
        font-size: .85rem;
        font-family: "JetBrainsMono", Consolas, monospace;
        display: block;
        line-height: 1rem;
        font-weight: normal;
    }

    .product-item .title {
        font-weight: 600;
        font-size: 1.55rem;
        line-height: 2rem;
        text-align: left !important;
        margin-top: .5rem;
        margin-bottom: .5rem;
        /*max-height: 5rem;*/
        overflow: hidden;
        text-overflow: ellipsis;
    }

        .product-item .title i {
            font-size: .95rem;
        }

    .product-item .description,
    .product-item .traits {
        font-family: 'Inter', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        font-size: .95rem;
        padding-right: 1.5rem;
    }

    .product-item .description {
        text-align: left !important;
    }

    .product-item .traits {
        list-style: none;
        text-align: center;
    }

        .product-item .traits li {
            margin: .4rem 0;
        }

    .product-item .duration {
        color: var(--text-light);
        font-size: .9rem;
        font-style: italic;
        text-align: center !important;
    }

    .product-item .price {
        position: relative;
        font-family: 'Space Grotesk', Tahoma, Geneva, Verdana, sans-serif;
        text-align: center !important;
        color: #333;
        margin-top: .5rem;
        margin-bottom: 1rem;
    }

        .product-item .price .value {
            font-weight: 600;
            font-size: 2rem;
        }

    .product-item .currency {
        font-size: 1.1rem;
        font-weight: normal;
    }

    .product-item .off-price {
        display: block;
        color: var(--text-light);
        text-decoration: line-through;
        font-size: 1rem;
    }

    .product-item .price.previous-price {
        font-size: 1rem;
        margin: 0;
        text-decoration: line-through;
    }

    .product-item .off-percent {
        font-family: 'Space Grotesk', Verdana, Geneva, Tahoma, sans-serif;
        text-align: center;
        background-color: var(--highlight-light-1);
        color: #fff;
        color: #333;
        margin-bottom: 1rem;
    }

        .product-item .off-percent .label {
            font-size: .8rem;
            text-transform: uppercase;
            font-family: "JetBrainsMono", Consolas, monospace;
        }

        .product-item .off-percent .percent {
            font-weight: 600;
            font-size: 1.1rem;
        }

.previous-price + .price {
    margin-top: .25rem;
}

.product-item .centered {
    text-align: center;
}

.option-separator {
    color: #888;
    letter-spacing: 1px;
}

.coupon-indicator {
    text-align: center !important;
    margin: 0;
    margin-top: .75rem;
}

.coupon-container {
    width: 292px;
    margin-top: .5rem;
    border-radius: 5px;
    overflow: hidden;
    display: inline-block;
    border: 1px solid #bbb;
    display: flex;
    margin: 0 auto;
    margin-top: .75rem;
    display: none;
}

.coupon-input {
    border: none;
    padding: .25rem .5rem;
    width: 100%;
}

.coupon-button {
    border: none;
    border-style: none;
    padding: .25rem .5rem;
    display: inline-block;
    color: #444;
    font-weight: 600;
    width: 75px;
}

.coupon-validation-message {
    font-size: .85rem;
}

    .coupon-validation-message.success {
        color: #1e570a;
    }

    .coupon-validation-message.error {
        color: #9d1438;
    }

@media (max-width: 768px) {
    .product-item {
        width: 100%;
    }

    .product-item .title {
        font-size: 1.2rem;
    }
}